/*
   example1.c: Simple method of securing software, just checks for SmartDongle
               presence.

   www.smartdongle.com

   MicroWorks, Inc.
   2808 North Cole Road
   Boise, ID 83704
*/


#include <stdio.h>
#include "smartdongle.h"
#include "sd_eeprom.h"
#include <conio.h>
#include <WinNT.h>

unsigned char data1[32];

int  main(int argc, char* argv[])
{
   unsigned __int64 P1, P2;
   int error;
   char errorString[QTS_ERROR_STRING_LENGTH_MAX];


   /* SmartDongle  Demo Keys */
   P1 = 0xec6cc589aefd1e75;
   P2 = 0xfcec0a6a82747b3f;  

   error = SmartDongleRead(P1, P2, 0, NULL, 0);
   if (error)
   {
      printf ("Failed to access a valid SmartDongle\n");
	  SmartDongleGetErrorString(errorString, error);
	  printf("error: %s" ,errorString);
   }
   else
   {
      printf("A valid SmartDongle is present\n");
   }

   printf("\nPress any key to exit\n");
   getch();

   return 0;
}
