/*
   example4.c

   Retrieves serial number of a single SmartDongle on the host.


   www.smartdongle.com

   MicroWorks, Inc.
   2808 North Cole Road
   Boise, ID 83704
*/

#include <stdio.h>
#include "smartdongle.h"
#include "sd_cp2.h"

int __cdecl main(int argc, char* argv[])
{
   char sn[CP2_SERIALNUM_LENGTH+1];
   char errorString[QTS_ERROR_STRING_LENGTH_MAX];
   int error;


   error = SmartDongleGetSerialNumber(sn);
   if (error)
   {
      SmartDongleGetErrorString(errorString, error);
      printf("%s\n", errorString);
   }
   else
   {
      printf("Serial Number: %s\n", sn);
   }

   printf("\nPress any key to exit\n");
   getchar();

   return 0;
}
